osl::EffectContent Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
osl::EffectContent Class Reference

`#include <effectContent.h>`

## Public Member Functions
| EffectContent ()
| EffectContent (Offset offset)
bool | hasEffect () const
| 短い利きがあるか，間がemptyなら長い利きがある More...
bool | hasUnblockableEffect () const
| 短い利きがある．長い利きの隣も含む More...
const Offset | offset () const
| 返り値が0なら長い利きがない, 0以外なら辿るのに必要なoffset (2005/3/25 に仕様変更 - 長い利きだが隣の場合もoffsetを返す) More...
bool | hasBlockableEffect () const
| 2005/3/25に変更. More...
int | intValue () const

## Static Public Member Functions
static const EffectContent | DIRECT ()
static const EffectContent | DIRECT (Offset offset)
| 隣だが，offsetも与える More...

## Private Member Functions
| EffectContent (int value)

## Private Attributes
int | effect

## Detailed Description

Definition at line 10 of file effectContent.h.

## Constructor & Destructor Documentation

osl::EffectContent::EffectContent | ( | int | value) |  |
| inlineprivate

Definition at line 13 of file effectContent.h.

osl::EffectContent::EffectContent | ( | ) |  |
| inline

Definition at line 17 of file effectContent.h.

Referenced by DIRECT().

osl::EffectContent::EffectContent | ( | Offset | offset) |  |
| inlineexplicit

Definition at line 20 of file effectContent.h.

## Member Function Documentation

static const EffectContent osl::EffectContent::DIRECT | ( | ) |  |
| inlinestatic

Definition at line 24 of file effectContent.h.

References EffectContent().

Referenced by osl::PtypeTable::init(), osl::effect::Liberty8Table::Liberty8Table(), and osl::PtypeTable::PtypeTable().

static const EffectContent osl::EffectContent::DIRECT | ( | Offset | offset) |  |
| inlinestatic

隣だが，offsetも与える

Definition at line 28 of file effectContent.h.

References EffectContent(), and osl::Offset::intValue().

bool osl::EffectContent::hasBlockableEffect | ( | ) |  | const
| inline

2005/3/25に変更.

Definition at line 48 of file effectContent.h.

References effect.

Referenced by osl::effect_util::Pin::findPtype(), osl::effect::hasShortMove(), and osl::effect::setBetweenMask().

bool osl::EffectContent::hasEffect | ( | ) |  | const
| inline

短い利きがあるか，間がemptyなら長い利きがある

Definition at line 34 of file effectContent.h.

References effect.

Referenced by osl::search::QuiescenceSearch2< EvalT >::examineTakeBack2(), osl::effect_util::AdditionalEffect::find(), osl::eval::See::findAdditionalPieces(), osl::move_generator::without_effect::generateLongMove(), osl::move_generator::addeffect8::hasEffect(), osl::state::NumEffectState::hasEffectIf(), osl::effect::hasLongMove(), osl::move_generator::addeffect8::hasShortEffect(), osl::checkmate::ImmediateCheckmateTable::ImmediateCheckmateTable(), osl::effect::Liberty8Table::Liberty8Table(), osl::effect_util::SendOffSquare::Table::Table(), osl::search::StateElements::validCaptureMove(), and osl::search::StateElements::validSimpleMove().

bool osl::EffectContent::hasUnblockableEffect | ( | ) |  | const
| inline

短い利きがある．長い利きの隣も含む

Definition at line 38 of file effectContent.h.

References effect.

Referenced by osl::checkmate::Dfpn::attack(), osl::checkmate::FixedDepthSearcher2::defenseEstimation(), osl::checkmate::FixedDepthSearcher::defenseEstimation(), osl::move_generator::without_effect::generateLongMove(), osl::state::NumEffectState::hasEffectIf(), osl::effect::hasShortMove(), osl::move_generator::addeffect8::hasUnblockableEffect(), osl::PtypeTable::hasUnblockableEffect(), osl::state::SimpleState::isAlmostValidMove(), osl::effect_util::UnblockableCheck::isMember(), osl::state::SimpleState::isValidMoveByRule(), osl::search::StateElements::validCaptureMove(), and osl::search::StateElements::validSimpleMove().

int osl::EffectContent::intValue | ( | ) |  | const
| inline

Definition at line 51 of file effectContent.h.

References effect.

Referenced by osl::operator<(), and osl::operator==().

const Offset osl::EffectContent::offset | ( | ) |  | const
| inline

返り値が0なら長い利きがない, 0以外なら辿るのに必要なoffset (2005/3/25 に仕様変更 - 長い利きだが隣の場合もoffsetを返す)

Definition at line 44 of file effectContent.h.

References effect, and osl::Offset::makeDirect().

Referenced by osl::effect_util::Pin::findPtype(), osl::move_generator::without_effect::generateLongMove(), osl::state::NumEffectState::hasEffectIf(), osl::move_generator::addeffect8::hasShortEffect(), osl::state::SimpleState::isAlmostValidMove(), osl::state::SimpleState::isValidMoveByRule(), osl::effect::setBetweenMask(), osl::search::StateElements::validCaptureMove(), and osl::search::StateElements::validSimpleMove().

## Member Data Documentation

int osl::EffectContent::effect
| private

Definition at line 12 of file effectContent.h.

Referenced by hasBlockableEffect(), hasEffect(), hasUnblockableEffect(), intValue(), and offset().

The documentation for this class was generated from the following file:

- effectContent.h